package com.streamlinecontrol.scichartjava;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;

public class SciChartLicenseServer {
    public interface SciChartLibrary extends Library {
        SciChartLibrary INSTANCE = (SciChartLibrary) Native.load(
                "SciChartLicenseServer",
                SciChartLibrary.class);

        void SciChartLicenseServer_SetAssemblyName(String name);

        int SciChartLicenseServer_SetRuntimeLicenseKey(String key);

        Pointer SciChartLicenseServer_ValidateChallenge(String challenge);

        Pointer SciChartLicenseServer_GetLicenseErrors();
    }
}
