package com.streamlinecontrol.scichartjava;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.NativeLibrary;
import com.sun.jna.Pointer;

public class SciChartSCS {

    private static SciChartSCSLibrary getLibrary() {
        String libraryName = "SciChartSCS";
        String libraryPath = "/tmp/native-lib/";
        NativeLibrary.addSearchPath(libraryName, libraryPath);
        SciChartSCSLibrary lib = (SciChartSCSLibrary) Native.load(
                libraryName,
                SciChartSCSLibrary.class);
        return lib;
    }

    public interface SciChartSCSLibrary extends Library {
        SciChartSCSLibrary INSTANCE = SciChartSCS.getLibrary();

        int SciChartSCS_SetRuntimeLicenseKey(String key);

        Pointer SciChartSCS_GetLicenseErrors();

        Pointer SciChartSCS_ValidateChallenge(String challenge);
    }
}
